'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var classVarianceAuthority = require('class-variance-authority');

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "body{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;font-family:yekan,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen,Ubuntu,Cantarell,Fira Sans,Droid Sans,Helvetica Neue,sans-serif}code{font-family:yekan,source-code-pro,Menlo,Monaco,Consolas,Courier New,monospace}\r\n\r\n/*! tailwindcss v3.4.3 | MIT License | https://tailwindcss.com*/*,:after,:before{border:0 solid #e5e7eb;box-sizing:border-box}:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:initial}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:initial;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:initial}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]{display:none}@font-face{font-display:swap;font-family:yekan;font-style:normal;font-weight:100;src:url(../assets/fonts/IRANSansWeb_UltraLight.woff2) format(\"woff2\")}@font-face{font-display:swap;font-family:yekan;font-style:normal;font-weight:400;src:url(../assets/fonts/IRANSansWeb.woff2) format(\"woff2\")}@font-face{font-display:swap;font-family:yekan;font-style:normal;font-weight:700;src:url(../assets/fonts/IRANSansWeb_Bold.woff2) format(\"woff2\")}html{font-family:yekan}*,::backdrop,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:#3b82f680;--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: }.\\!absolute{position:absolute!important}.\\!-m-px{margin:-1px!important}.mx-2{margin-left:.5rem;margin-right:.5rem}.mx-2\\.5{margin-left:.625rem;margin-right:.625rem}.my-1{margin-bottom:.25rem;margin-top:.25rem}.inline-block{display:inline-block}.flex{display:flex}.\\!h-px{height:1px!important}.h-\\[22px\\]{height:22px}.h-\\[33px\\]{height:33px}.\\!w-px{width:1px!important}.min-w-12{min-width:3rem}.min-w-8{min-width:2rem}@keyframes spin{to{transform:rotate(1turn)}}.animate-spin{animation:spin 1s linear infinite}.cursor-pointer{cursor:pointer}.items-center{align-items:center}.justify-center{justify-content:center}.gap-2{gap:.5rem}.gap-x-1{column-gap:.25rem}.\\!overflow-hidden{overflow:hidden!important}.\\!whitespace-nowrap{white-space:nowrap!important}.rounded{border-radius:.25rem}.rounded-full{border-radius:9999px}.rounded-sm{border-radius:.125rem}.\\!border-0{border-width:0!important}.border-4{border-width:4px}.border-solid{border-style:solid}.\\!border-\\[\\#c7c7c7\\]{--tw-border-opacity:1!important;border-color:rgb(199 199 199/var(--tw-border-opacity))!important}.border-\\[\\#157004\\]{--tw-border-opacity:1;border-color:rgb(21 112 4/var(--tw-border-opacity))}.border-\\[\\#2772ab\\]{--tw-border-opacity:1;border-color:rgb(39 114 171/var(--tw-border-opacity))}.border-\\[\\#53a93f\\]{--tw-border-opacity:1;border-color:rgb(83 169 63/var(--tw-border-opacity))}.border-\\[\\#5db2ff\\]{--tw-border-opacity:1;border-color:rgb(93 178 255/var(--tw-border-opacity))}.border-\\[\\#69257e\\]{--tw-border-opacity:1;border-color:rgb(105 37 126/var(--tw-border-opacity))}.border-\\[\\#8C44A2\\]{--tw-border-opacity:1;border-color:rgb(140 68 162/var(--tw-border-opacity))}.border-\\[\\#C97F55\\]{--tw-border-opacity:1;border-color:rgb(201 127 85/var(--tw-border-opacity))}.border-\\[\\#ed4e2a\\]{--tw-border-opacity:1;border-color:rgb(237 78 42/var(--tw-border-opacity))}.border-\\[\\#ef6c00\\]{--tw-border-opacity:1;border-color:rgb(239 108 0/var(--tw-border-opacity))}.border-current{border-color:currentColor}.border-e-transparent{border-inline-end-color:#0000}.\\!bg-\\[\\#c7c7c7\\]{--tw-bg-opacity:1!important;background-color:rgb(199 199 199/var(--tw-bg-opacity))!important}.bg-\\[\\#157004\\]{--tw-bg-opacity:1;background-color:rgb(21 112 4/var(--tw-bg-opacity))}.bg-\\[\\#2772ab\\]{--tw-bg-opacity:1;background-color:rgb(39 114 171/var(--tw-bg-opacity))}.bg-\\[\\#53a93f\\]{--tw-bg-opacity:1;background-color:rgb(83 169 63/var(--tw-bg-opacity))}.bg-\\[\\#5db2ff\\]{--tw-bg-opacity:1;background-color:rgb(93 178 255/var(--tw-bg-opacity))}.bg-\\[\\#69257e\\]{--tw-bg-opacity:1;background-color:rgb(105 37 126/var(--tw-bg-opacity))}.bg-\\[\\#8C44A2\\]{--tw-bg-opacity:1;background-color:rgb(140 68 162/var(--tw-bg-opacity))}.bg-\\[\\#C97F55\\]{--tw-bg-opacity:1;background-color:rgb(201 127 85/var(--tw-bg-opacity))}.bg-\\[\\#ed4e2a\\]{--tw-bg-opacity:1;background-color:rgb(237 78 42/var(--tw-bg-opacity))}.bg-\\[\\#ef6c00\\]{--tw-bg-opacity:1;background-color:rgb(239 108 0/var(--tw-bg-opacity))}.bg-button-pattern{background-image:radial-gradient(93% 87% at 87% 89%,#00000029 0,#0000 86.18%),radial-gradient(66% 66% at 26% 20%,#ffffff26 0,#fff0 69.79%,#fff0 100%)}.\\!p-0{padding:0!important}.p-5{padding:1.25rem}.px-3{padding-left:.75rem;padding-right:.75rem}.px-\\[7px\\]{padding-left:7px;padding-right:7px}.py-2{padding-bottom:.5rem;padding-top:.5rem}.py-\\[3px\\]{padding-bottom:3px;padding-top:3px}.align-\\[-0\\.125em\\]{vertical-align:-.125em}.text-sm{font-size:.875rem;line-height:1.25rem}.text-xs{font-size:.75rem;line-height:1rem}.font-normal{font-weight:400}.text-black{--tw-text-opacity:1;color:rgb(0 0 0/var(--tw-text-opacity))}.text-neutral-50{--tw-text-opacity:1;color:rgb(250 250 250/var(--tw-text-opacity))}.text-white{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}.opacity-100{opacity:1}.duration-500{transition-duration:.5s}.\\!\\[clip\\:rect\\(0\\2c 0\\2c 0\\2c 0\\)\\]{clip:rect(0,0,0,0)!important}.hover\\:opacity-80:hover{opacity:.8}.hover\\:shadow-md:hover{--tw-shadow:0 4px 6px -1px #0000001a,0 2px 4px -2px #0000001a;--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.disabled\\:cursor-not-allowed:disabled{cursor:not-allowed}.disabled\\:opacity-50:disabled{opacity:.5}.data-\\[state\\=true\\]\\:mb-2\\.5[data-state=true]{margin-bottom:.625rem}@media (prefers-reduced-motion:reduce){@keyframes spin{to{transform:rotate(1turn)}}.motion-reduce\\:animate-\\[spin_1\\.5s_linear_infinite\\]{animation:spin 1.5s linear infinite}}";
styleInject(css_248z,{"insertAt":"top"});

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

typeof SuppressedError === "function" ? SuppressedError : function (error, suppressed, message) {
    var e = new Error(message);
    return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;
};

var LoaderSpinner = function (_a) {
    var _b = _a.width, width = _b === void 0 ? "8rem" : _b, _c = _a.height, height = _c === void 0 ? "8rem" : _c;
    return (jsxRuntime.jsx("div", __assign({ style: { width: width, height: height }, className: "inline-block animate-spin rounded-full border-4 border-solid border-current border-e-transparent align-[-0.125em] text-neutral-50 motion-reduce:animate-[spin_1.5s_linear_infinite]", role: "status" }, { children: jsxRuntime.jsx("span", __assign({ className: "!absolute !-m-px !h-px !w-px !overflow-hidden !whitespace-nowrap !border-0 !p-0 ![clip:rect(0,0,0,0)]" }, { children: "Loading..." })) })));
};

var button = classVarianceAuthority.cva("data-[state=true]:mb-2.5 duration-500 opacity-100 disabled:opacity-50 hover:opacity-80  hover:shadow-md justify-center gap-x-1 font-normal flex bg-button-pattern items-center disabled:(!bg-[#c7c7c7] !border-[#c7c7c7]) disabled:cursor-not-allowed cursor-pointer mx-2.5 border-solid border-1 ", {
    variants: {
        backgroundColor: {
            primary: "bg-[#5db2ff] border-[#5db2ff]",
            secondary: "bg-[#53a93f] border-[#53a93f]",
            warning: "bg-[#ef6c00] border-[#ef6c00]",
            danger: "bg-[#ed4e2a] border-[#ed4e2a]",
            purple: "bg-[#8C44A2] border-[#8C44A2]",
            darkPurple: "bg-[#69257e] border-[#69257e]",
            brown: "bg-[#C97F55] border-[#C97F55]",
            darkGreen: "bg-[#157004] border-[#157004]",
            darkBlue: "bg-[#2772ab] border-[#2772ab]",
        },
        color: {
            primary: "text-white",
            secondary: "text-black",
        },
        size: {
            default: ["text-sm rounded-sm px-3 py-2 min-w-12 h-[33px]"],
            small: ["text-xs rounded py-[3px] my-1 px-[7px] min-w-8  h-[22px]"],
        },
    },
    defaultVariants: {
        size: "default",
        backgroundColor: "primary",
        color: "primary",
    },
});
var Button = function (_a) {
    var backgroundColor = _a.backgroundColor, size = _a.size, color = _a.color, _b = _a.width, width = _b === void 0 ? "fit-content" : _b, _c = _a.onClick, onClick = _c === void 0 ? function () { } : _c, children = _a.children, type = _a.type, loading = _a.loading, disabled = _a.disabled, name = _a.name, hasVerticalSpace = _a.hasVerticalSpace;
    return (jsxRuntime.jsx("button", __assign({ className: button({ backgroundColor: backgroundColor, color: color, size: size }), style: { width: width }, onClick: onClick, type: type, disabled: disabled, id: name, "data-state": hasVerticalSpace }, { children: loading ? jsxRuntime.jsx(LoaderSpinner, { width: "15px", height: "15px" }) : children })));
};

exports.Button = Button;
//# sourceMappingURL=index.js.map
